Subject: bug#64696: 30.0.50; indent-to inherits preceding text properties, including 'invisible

From: Stefan Monnier <[email-masked]>
Date: Wed, 19 Jul 2023 09:51:31 -0400

>> Could you give a bit of background about why you use set an `invisible`
>> property that is inherited when inserting chars after it?
>>
>> I mean I understand it's the default behavior of the `invisible`
>> property, but when making a piece of text invisible, it's common
>> that we arrange for that invisible property not to leak to text inserted
>> after it (either by setting the marker type of the overlay's end
>> or via the `rear-nonsticky` text-property).
>> This is useful for when the users goes and types right after the
>> invisible text, otherwise their text becomes invisible.
>
> Because Org sets and clears invisible property manually during fontification.

I don't see how that explains why you chose to set an `invisible`
property that is inherited when inserting chars after it.

        Stefan